<?php
/**
 * 测试
 * Created by PhpStorm.
 * Date=> 2020/05/16
 * Time=> 11=>31
 */

namespace JinDouYun\Controller\Common;


use JinDouYun\Controller\BaseController;
use Util\Common\PartnerTools;
use Util\Common\AgentTools;




class ApiTestCom  extends BaseController
{

   public function __construct($isCheckAcl = true, $isMustLogin = true)
    {
        parent::__construct($isCheckAcl, $isMustLogin);
    }


    public function tool()
    {
exit;

        
        echo "企业:".$this->onlineEnterpriseId.PHP_EOL;
//        $to = new PartnerTools($this->onlineEnterpriseId);
        $to = new AgentTools($this->onlineEnterpriseId);
        
        //缓存测试
//        echo $to->cacheTest();
        
        //绑定下级测试
//        var_dump($to->setPushCustomer(24,25));
        

        
        //添加任务测试
        
//        var_dump($to->addTask("78",$this->onlineEnterpriseId));
//        var_dump($to->addTask("87",$this->onlineEnterpriseId));
//        var_dump($to->addTask("88",$this->onlineEnterpriseId));
        
        //执行任务测试
        var_dump($to->runTaskNew());
        
        //子级查询测试
        
//        var_dump($to->getApiChildrenTree(17));
        
    }
}